import 'whatwg-fetch';
export declare const CMC_TICKER_URL = "https://api.coinmarketcap.com/v1/ticker";
export interface CmcResponse {
    id?: string;
    name?: string;
    symbol?: string;
    rank?: string;
    price_usd?: string;
    price_btc?: string;
    '24h_volume_usd'?: string;
    market_cap_usd?: string;
    available_supply?: string;
    total_supply?: string;
    max_supply?: string;
    percent_change_1h?: string;
    percent_change_24h?: string;
    percent_change_7d?: string;
    last_updated?: string;
    price_eur?: string;
    '24h_volume_eur'?: string;
    market_cap_eur?: string;
    price_local: string;
}
export declare const CURRENCY_CODES: string[];
export declare type Currency = 'AUD' | 'BRL' | 'CAD' | 'CHF' | 'CLP' | 'CNY' | 'CZK' | 'DKK' | 'EUR' | 'GBP' | 'HKD' | 'HUF' | 'IDR' | 'ILS' | 'INR' | 'JPY' | 'KRW' | 'MXN' | 'MYR' | 'NOK' | 'NZD' | 'PHP' | 'PKR' | 'PLN' | 'RUB' | 'SEK' | 'SGD' | 'THB' | 'TRY' | 'TWD' | 'USD' | 'ZAR';
export declare const CURRENCY_SYMBOLS: {
    AUD: string;
    BRL: string;
    CAD: string;
    CHF: string;
    CLP: string;
    CNY: string;
    CZK: string;
    DKK: string;
    EUR: string;
    GBP: string;
    HKD: string;
    HUF: string;
    IDR: string;
    ILS: string;
    INR: string;
    JPY: string;
    KRW: string;
    MXN: string;
    MYR: string;
    NOK: string;
    NZD: string;
    PHP: string;
    PKR: string;
    PLN: string;
    RUB: string;
    SEK: string;
    SGD: string;
    THB: string;
    TRY: string;
    TWD: string;
    USD: string;
    ZAR: string;
};
export declare const getCurrencySymbol: (currency?: "AUD" | "BRL" | "CAD" | "CHF" | "CLP" | "CNY" | "CZK" | "DKK" | "EUR" | "GBP" | "HKD" | "HUF" | "IDR" | "ILS" | "INR" | "JPY" | "KRW" | "MXN" | "MYR" | "NOK" | "NZD" | "PHP" | "PKR" | "PLN" | "RUB" | "SEK" | "SGD" | "THB" | "TRY" | "TWD" | "USD" | "ZAR" | undefined) => string;
export declare const getCurrentXRBPrice: (currency: Currency) => Promise<{
    price_local: string;
}>;
